//importing json & geoPath from d3
import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

//Create projection
const projection = geoNaturalEarth1();

//Create pathGenerator
const pathGenerator = geoPath().projection(projection);

//Path attached to svg at a specified location
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));


// Reference link used to access the data
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
		.then(data => {
  
//countries variable used to parde the data
  			const countries = feature(data, data.objects.countries);
  
//datajoin which is used for the paths
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









